PUT /data/projects/{instance_id}

Update a project with data provided in the request body. JSON format is expected. Requires manager access to the project. Validates production_style.

Path parameters

  • instance_id string(uuid) Required
application/json

Body Required

  • name string
  • production_style string
  • preview_background_file_id string(uuid)

Responses

  • 200 application/json

    Project updated successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • production_type string
    • production_style string
    • project_status_id string(uuid)
    • first_episode_id string(uuid)
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or invalid production_style

PUT /data/projects/{instance_id}
curl -X PUT "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Updated Project Name",
  "production_style": "2d",
  "preview_background_file_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Updated Project Name",
    "production_style": "2d",
    "preview_background_file_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"Updated Project Name","production_style":"2d","preview_background_file_id":"b24a6ea4-ce75-4665-a070-57453082c25"}'
Request examples
{
  "name": "Updated Project Name",
  "production_style": "2d",
  "preview_background_file_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "Updated Project Name",
  "production_type": "feature",
  "production_style": "2d",
  "project_status_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "first_episode_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}